This is a listing of all USB buses in the Linux system and all devices connected to them, as the following example screen shot shows. Note that the lsusb command must be available on the host being monitored.

Module options:

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- --path directory
  The directory where the lsusb command resides, /sbin by default. Note that an empty option value means that the lsusb command must be in the path of the user running the command on the server side (also see remote monitoring below).
- -r (--remote) [[rsh|ssh]://][user@]host
  Remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to usb(host).
  When there is a communication error with the remote host, all rows disappear and the displayed table becomes empty. A descriptive error message is also generated in such a case.

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

Examples:

    $ moodss usb -r jdoe@foo.bar.com
    $ moodss usb -r ssh://jdoe@foo.bar.com
    $ moodss usb --remote foo.bar.com